#!/bin/bash

# ANSI Colors
echoRed() { echo $'\e[0;31m'"$1"$'\e[0m'; }
echoGreen() { echo $'\e[0;32m'"$1"$'\e[0m'; }
echoYellow() { echo $'\e[0;33m'"$1"$'\e[0m'; }

#启动脚本的主目录
PRG="$0"
APP_WRK_HOME=`dirname "$PRG"`/..
APP_WRK_HOME=`cd "$APP_WRK_HOME" && pwd`

#应用名
export APP_NAME=EUREKA-SERVER

psid=0
#检查进程ID
checkpid() {
   if [[ -f $APP_WRK_HOME/bin/$APP_NAME.pid ]]; then
       psid=$(cat $APP_WRK_HOME/bin/$APP_NAME.pid)
	   if [[ 0 -eq $(ps -ef |grep $psid |grep -v "grep" |wc -l) ]]; then
	        psid=0
	   fi
   fi
}

#停止进程
dostop() {
   checkpid
   if [[ $psid -eq 0 ]]; then
       echoYellow "warn: $APP_NAME pid was not found, can not be stopped!"
   else
       kill -9 $psid
       rm -rf $APP_WRK_HOME/bin/$APP_NAME.pid
       echoGreen "$APP_NAME stopped successfully! (pid=$psid)"
   fi
}

dostop
exit 0